using FarPoint.Win.Spread.CellType;

namespace Grid_sendbox
{
	public class CustomCellA : ComboBoxCellType
	{
		public CustomCellA()
		{
			Items = new[] {"Opt 1", "Opt 2", "Opt 3"};
			Editable = true;
			EditorValue = EditorValue.String;
		}

		public override object GetEditorValue()
		{
			OptionClass c = new OptionClass();
			c.Name = (string) base.GetEditorValue();
			return c;
		}

		public override void SetEditorValue(object value)
		{
			_option = (OptionClass) value;
		}

		public override string Format(object obj)
		{
			if (_option == null)
				return string.Empty;

			return _option.Name;
		}

		private OptionClass _option;
	}
}